<?php

/**
 * Typography Settings
 *
 * @package burger_joint
 */

// Typography Settings
$wp_customize->add_section(
    'burger_joint_typography_setting',
    array(
        'panel' => 'burger_joint_theme_options',
        'title' => esc_html__( 'Typography Settings', 'burger-joint' ),
    )
);

$wp_customize->add_setting(
    'burger_joint_site_title_font',
    array(
        'default'           => 'Jost',
        'sanitize_callback' => 'burger_joint_sanitize_google_fonts',
    )
);

$wp_customize->add_control(
    'burger_joint_site_title_font',
    array(
        'label'    => esc_html__( 'Site Title Font Family', 'burger-joint' ),
        'section'  => 'burger_joint_typography_setting',
        'settings' => 'burger_joint_site_title_font',
        'type'     => 'select',
        'choices'  => burger_joint_get_all_google_font_families(),
    )
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'burger_joint_site_description_font',
	array(
		'default'           => 'Jost',
		'sanitize_callback' => 'burger_joint_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'burger_joint_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'burger-joint' ),
		'section'  => 'burger_joint_typography_setting',
		'settings' => 'burger_joint_site_description_font',
		'type'     => 'select',
		'choices'  => burger_joint_get_all_google_font_families(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'burger_joint_header_font',
	array(
		'default'           => 'Bebas Neue',
		'sanitize_callback' => 'burger_joint_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'burger_joint_header_font',
	array(
		'label'    => esc_html__( 'Heading Font Family', 'burger-joint' ),
		'section'  => 'burger_joint_typography_setting',
		'settings' => 'burger_joint_header_font',
		'type'     => 'select',
		'choices'  => burger_joint_get_all_google_font_families(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'burger_joint_content_font',
	array(
		'default'           => 'Jost',
		'sanitize_callback' => 'burger_joint_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'burger_joint_content_font',
	array(
		'label'    => esc_html__( 'Content Font Family', 'burger-joint' ),
		'section'  => 'burger_joint_typography_setting',
		'settings' => 'burger_joint_content_font',
		'type'     => 'select',
		'choices'  => burger_joint_get_all_google_font_families(),
	)
);
